Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 197176 - libnl-1.pc contains reference to /usr/lib on x86_64
Summary: libnl-1.pc contains reference to /usr/lib on x86_64
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libnl
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-06-29 02:25 UTC by Mark McLoughlin
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-26 15:33:42 UTC


Attachments (Terms of Use)

Description Mark McLoughlin 2006-06-29 02:25:21 UTC
libdir should be /usr/lib64 in the pkg-config file

Causes warnings like:

[markmc@lak ~]# gcc -g -Wall $(pkg-config --cflags --libs libnl-1) test-libnl.c
-o test-libnl
/usr/bin/ld: skipping incompatible /usr/lib/libc.so when searching for -lc
/usr/bin/ld: skipping incompatible /usr/lib/libc.a when searching for -lc

Comment 1 Matthias Clasen 2006-07-26 15:33:42 UTC
Fixed in libnl-1.0-0.10.pre5.2


Note You need to log in before you can comment on or make changes to this bug.